Subject: #1582 Re: Commit in docs/usefor (usepro.xml)

From: Harald Tveit Alvestrand <[email-masked]>
Date: Tue, 28 Oct 2008 18:26:07 +0100

I'm taking this checkin as resolution of issue #1582.

This is not yet reflected in a published draft; I assume it will be in -13.

[email-masked] skrev:
>     Date: Sunday, September 21, 2008 @ 17:18:17
>   Author: eagle
> Revision: 5041
>
> Fix a conflict between the wording of the application/news-checkgroups
> message and the checkgroups control message around <chkscope>.  Clarify
> that a checkgroups can be limited by external information, and that
> limits the requirement for it to be complete to a SHOULD.
>
> Modified:
>   docs/usefor/usepro.xml
>
> Modified: docs/usefor/usepro.xml
> ===================================================================
> --- docs/usefor/usepro.xml	2008-09-22 00:13:33 UTC (rev 5040)
> +++ docs/usefor/usepro.xml	2008-09-22 00:18:17 UTC (rev 5041)
> @@ -1663,9 +1663,11 @@
>  
>          <t>One application/news-checkgroups message may contain
>          information for one or more hierarchies and is considered complete
> -        for any hierarchy for which it contains a &lt;valid-group>.  In
> -        other words, an application/news-checkgroups body part consisting
> -        of:</t>
> +        for any hierarchy for which it contains a &lt;valid-group> unless
> +        accompanied by external information limiting its scope (such as a
> +        &lt;chkscope> parameter to a checkgroups control message as
> +        described in <xref target="checkgroups" />).  In other words, an
> +        application/news-checkgroups body part consisting of:</t>
>  
>          <figure>
>            <artwork>
> @@ -1679,7 +1681,8 @@
>          This media type therefore MUST NOT be used for conveying partial
>          information about a hierarchy; if a group from a given hierarchy
>          is present, all groups that exist in that hierarchy MUST be
> -        listed.</t>
> +        listed unless its scope is limited by external information, in
> +        which case all groups SHOULD be listed.</t>
>        </section>
>      </section>
>  
>
>
>